Skip to main content
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
/
roles
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Users;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.Roles.ListAsync(
            id: "id",
            request: new ListUserRolesRequestParameters {
                PerPage = 1,
                Page = 1,
                IncludeTotals = true
            }
        );
    }

}
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to list roles for.

Query Parameters

per_page
integer

Number of results per page.

Required range: 1 <= x <= 100
page
integer

Page index of the results to return. First page is 0.

Required range: x >= 0
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

Response

Roles successfully retrieved.

id
string

ID for this role.

name
string

Name of this role.

description
string

Description of this role.